Skip to main content
`Ctrl`+`K`

# PEPErrorView

Displays the errors associated with the computed solution (as well as the eigenvalues).

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPErrorView(PEP pep,PEPErrorType etype,PetscViewer viewer)

Collective

## Input Parameters

- pep - the polynomial eigensolver context

- etype - error type

- viewer - optional visualization context

## Options Database Keys

- -pep_error_absolute - print absolute errors of each eigenpair

- -pep_error_relative - print relative errors of each eigenpair

- -pep_error_backward - print backward errors of each eigenpair

## Notes

By default, this function checks the error of all eigenpairs and prints the eigenvalues if all of them are below the requested tolerance. If the viewer has format `PETSC_VIEWER_ASCII_INFO_DETAIL` then a table with eigenvalues and corresponding errors is printed.

All the command-line options listed above admit an optional argument specifying the viewer type and options. For instance, use `-pep_error_relative :myerr.m:ascii_matlab` to save the errors in a file that can be executed in Matlab.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSolve()`, `PEPValuesView()`, `PEPVectorsView()`

## Level

intermediate

## Location

src/pep/interface/pepview.c

## Examples

src/pep/tutorials/ex16f.F90
src/pep/tutorials/ex50.c
src/pep/tutorials/ex38.c
src/pep/tutorials/ex40.c
src/pep/tutorials/ex16.c
src/pep/tutorials/ex17.c
src/pep/tutorials/ex28.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages